Subject: Re: [PATCH net] net: ti: icssg-prueth: Remove duplicate cleanup calls in emac_ndo_stop()

From: Simon Horman <[email-masked]>
Date: Thu, 8 Feb 2024 10:47:00 +0000

On Tue, Feb 06, 2024 at 03:20:51PM +0000, Diogo Ivo wrote:
> Remove the duplicate calls to prueth_emac_stop() and
> prueth_cleanup_tx_chns() in emac_ndo_stop().
> 
> Fixes: 128d5874c082 ("net: ti: icssg-prueth: Add ICSSG ethernet driver")
> Fixes: 186734c15886 ("net: ti: icssg-prueth: add packet timestamping and ptp support")
> Signed-off-by: Diogo Ivo <[email-masked]>

Hi Doigo,

I see that there are indeed duplicate calls,
but I do wonder if this is a cleanup rather than a bug:
is there a user-visible problem that this addresses?

If so, I think it would be good to spell this out in the commit message.

...